# Players

### Overview

Use this endpoint to retrieve the list of players.

This endpoint returns single competitors only.

It does not return teams or doubles pairings.

Each player includes an SR competitor ID in the format `sr:competitor:{id}`.

### Request

**URL**

`GET https://{domain}/golf/rest/v1/players`

### Example request

{% code title="List players" overflow="wrap" %}

```http
GET /golf/rest/v1/players HTTP/1.1
Host: {domain}
Authorization: Bearer <JWT_TOKEN>
```

{% endcode %}

{% hint style="info" %}
Use this endpoint for player reference data. Use [Entrylist](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/entrylist.md) when you need tournament-specific player assignments.
{% endhint %}

### Response example

{% code overflow="wrap" expandable="true" %}

```
{
  "players": [
    {
      "player_id": 22,
      "sr_player_id": "sr:competitor:22",
      "country": "ENG",
      "display_name": "Tommy Fleetwood",
      "first_name": "Tommy",
      "last_name": "Fleetwood",
      "is_amateur": false,
      "player_pga_tour_id": "30911",
      "gender": "male",
      "birthdate": "2002-02-05"
    },
    { ... }
  ]
}
```

{% endcode %}

### Response fields

| field                            | type    | description                             | required | required in PGA | old IMGA API equivalent                             |
| -------------------------------- | ------- | --------------------------------------- | -------- | --------------- | --------------------------------------------------- |
| players                          | Array   | Array of players                        | yes      |                 | array of players was a root element of the response |
| players\[].player\_id            | Integer | Numeric ID of the player                | yes      |                 | playerId                                            |
| players\[].sr\_player\_id        | String  | SR ID of the player                     | yes      |                 | -                                                   |
| players\[].country               | String  | 3-character FIFA country code           | yes      |                 | country                                             |
| players\[].display\_name         | String  | Full player name used for display       | yes      |                 | displayName                                         |
| players\[].first\_name           | String  | First name of the player                | yes      |                 | firstName                                           |
| players\[].last\_name            | String  | Last name of the player                 | yes      |                 | lastName                                            |
| players\[].is\_amateur           | Boolean | Indicates whether the player is amateur | yes      |                 | isAmateur                                           |
| players\[].player\_pga\_tour\_id | String  | PGA Tour player identifier              | no       | yes             | playerPGATourId                                     |
| players\[].gender                | String  | Gender of the player                    | yes      |                 | gender                                              |
| players\[].birthdate             | Date    | Player birth date                       | yes      |                 | dateOfBirth                                         |

### Related endpoints

* [Entrylist](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/entrylist.md)
* [Tournaments list](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/tournaments-list.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/players.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
